/// <reference types="react" />
import { BulkListItem } from "../components/BulkList/BulkList";
import { Job, WorkflowInstance, WorkflowInstanceState } from "@kie-tools/runtime-tools-gateway-api/dist/types";
export declare const setTitle: (titleStatus: string, titleText: string) => JSX.Element;
export declare const constructObject: (obj: any, path: any, val: any) => void;
export declare const formatForBulkListJob: (jobsList: (Job & {
    errorMessage?: string;
})[]) => BulkListItem[];
export declare const getWorkflowInstanceDescription: (workflowInstance: WorkflowInstance) => {
    id: string;
    name: string | undefined;
    description: string | undefined;
};
export declare const WorkflowInstanceIconCreator: (state: WorkflowInstanceState) => JSX.Element;
//# sourceMappingURL=Utils.d.ts.map